import classNames from "classnames";
import { omit } from "lodash";
import React from "react";
import "../index.css";

type Props = {
    placeholder?: string | undefined,
    className?: string | undefined,
} & Omit<React.InputHTMLAttributes<HTMLInputElement> ,"">;

export const TextInput = ({
    placeholder = undefined,
    className,
    ...props
} :Props) => {
    return(
        <input 
            type="text" 
            placeholder={placeholder} 
            className={classNames(
                'w-100',
                'border',
                'border-2',
                'border-solid',
                'border-gray-200',
                'text-gray-900',
                'rounded',
                'outline-none',
                'hover:border-gray-300',
                'focus:border-gray-500',                
                {
                className
            })} 
        />
    );
    
}
